require 'test_helper'

class GorillapiTest < Minitest::Test

  def test_api_settings
    assert_equal 'test.api',          Gorilla.url
    assert_equal "123abc",            Gorilla.token
    assert_equal "json",              Gorilla.format
    assert_equal '1',                 Gorilla.version
    assert_equal 'application/json',  Gorilla.content_type

    assert_equal "application/vnd.gorilla_header-v1+json",
                    Gorilla.accept_header
  end


  def test_get_with_print
    assert Gorilla.ping(true)
    assert Gorilla.ping('curl')
    assert Gorilla.ping('details')
  end

  def test_get_without_print
    # assert Gorilla.user
  end

  def test_post_with_print
    assert Gorilla.create_post(true)
    assert Gorilla.create_post('curl')
    assert Gorilla.create_post('details')
  end

  def test_put_with_print
    assert Gorilla.update_post(true)
    assert Gorilla.update_post('curl')
    assert Gorilla.update_post('details')
  end

  def test_delete_with_print
    assert Gorilla.delete_post(true)
    assert Gorilla.delete_post('curl')
    assert Gorilla.delete_post('details')
  end
end
