require 'minitest/autorun'
require 'minitest/pride'

require_relative '../lib/gorillapi'

module Gorilla
  extend self, Gorillapi

  test_api  url: 'test.api'
  header    header_name:  'gorilla_header',
            api_key:      '123abc',
            format:       'json',
            version:      1

  def ping(print_only = false)
    get "/api/v1/ping", print_only
  end

  def user
    get "/api/v1/user", params: { id: 1 }
  end

  def create_post(print_only = false)
    post "/api/v1/post", print_only, params: {
      title: 'My Post',
      content: 'Lorem ipsum....',
    }
  end

  def update_post(print_only = false)
    put "/api/v1/post", print_only, params: {
      id: 1,
      title: 'My Post',
      content: 'Lorem ipsum....',
    }
  end

  def delete_post(print_only = false)
    delete "/api/v1/post", print_only, params: {
      id: 1
    }
  end
end
